org.apache.ignite.internal.processors.cache.binary

## Interface CacheObjectBinaryProcessorImpl.TestBinaryContext.TestBinaryContextListener

Enclosing class:
  CacheObjectBinaryProcessorImpl.TestBinaryContext

    public static interface CacheObjectBinaryProcessorImpl.TestBinaryContext.TestBinaryContextListener

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onAfterMetadataRequest(int typeId, BinaryType type)`
`void` `onBeforeMetadataUpdate(int typeId, BinaryMetadata metadata)`

### Method Detail

#### onAfterMetadataRequest

    void onAfterMetadataRequest(int typeId,
                                BinaryType type)

Parameters:
  `typeId` - Type id.
  `type` - Type.

#### onBeforeMetadataUpdate

    void onBeforeMetadataUpdate(int typeId,
                                BinaryMetadata metadata)

Parameters:
  `typeId` - Type id.
  `metadata` - Metadata.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023